애플리케이션 설정 API
GitLab 인스턴스의 애플리케이션 설정을 조회하고 업데이트하는 API를 설명합니다. 사용 가능한 설정 파라미터와 예시 응답을 포함합니다.
이 API를 사용하여 GitLab 인스턴스의 애플리케이션 설정 을 다룹니다. 애플리케이션 설정 변경은 캐시의 영향을 받으므로 즉시 반영되지 않을 수 있습니다. 기본적으로 GitLab은 애플리케이션 설정을 60초 동안 캐시합니다. 인스턴스의 애플리케이션 설정 캐시를 제어하는 방법은 애플리케이션 캐시 간격 을 참고합니다. 사전 요구 사항: 인스턴스에 대한 관리자 접근 권한이 있어야 합니다. 현재 애플리케이션 설정의 세부 정보 조회 # 히스토리 GitLab 17.6에서 allow_all_integrations 및 allowed_integrations 속성이 추가되었습니다 . 이 GitLab 인스턴스의 현재 애플리케이션 설정 세부 정보를 조회합니다. GET /application/settings curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/application/settings" 응답 예시: { "default_projects_limit" : 100000 , "signup_enabled" : true , "id" : 1 , "default_branch_protection" : 2 , "default_branch_protection_defaults" : { "allowed_to_push" : [ { "access_level" : 40 } ] , "allow_force_push" : false , "allowed_to_merge" : [ { "access_level" : 40 } ] } , "default_preferred_language" : "en" , "deletion_adjourned_period" : 7 , "failed_login_attempts_unlock_period_in_minutes" : 30 , "restricted_visibility_levels" : [ ] , "sign_in_restrictions" : { } , "password_authentication_enabled_for_web" : true , "after_sign_out_path" : null , "max_attachment_size" : 100 , "max_decompressed_archive_size" : 25600 , "max_export_size" : 50 , "max_import_size" : 50 , "max_import_remote_file_size" : 10240 , "max_login_attempts" : 3 , "user_oauth_applications" : true , "updated_at" : "2016-01-04T15:44:55.176Z" , "session_expire_delay" : 10080 , "home_page_url" : null , "default_snippet_visibility" : "private" , "outbound_local_requests_whitelist"